> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/regions/{regionId}/gateways

> List gateway appliances in a region with at least one LAN interface for the given storage provider

## OpenAPI

````json GET /v1/regions/{regionId}/gateways
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/regions/{regionId}/gateways": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "regionId",
            "in": "path",
            "required": true,
            "description": "Graphiant region id",
            "schema": {
              "type": "integer",
              "format": "int32",
              "example": 123
            }
          },
          {
            "name": "storageProvider",
            "in": "query",
            "description": "Storage provider; only gateways with a LAN interface for this provider are returned",
            "required": true,
            "schema": {
              "type": "string",
              "example": "ENUM_VALUE"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1RegionsRegionIdGatewaysGetResponse"
                }
              }
            }
          }
        },
        "description": "List gateway appliances in a region with at least one LAN interface for the given storage provider"
      }
    }
  },
  "components": {
    "schemas": {
      "v1RegionsRegionIdGatewaysGetResponse": {
        "type": "object",
        "properties": {
          "gateways": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1RegionsRegionIdGatewaysGetResponseGateway"
            }
          }
        },
        "additionalProperties": false
      },
      "v1RegionsRegionIdGatewaysGetResponseGateway": {
        "type": "object",
        "properties": {
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "hostname": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

